Credential
Get GA
GET
Gets the Git credential with the specified credential ID.
API scopes: workspace
Parameters
- idint64path
The ID for the corresponding credential to access.
- principal_idint64query
The ID of the service principal whose credentials will be modified. Only service principal managers can perform this action.
Response
- credential_idint64
ID of the credential object in the workspace.
- git_providerstring
The Git provider associated with the credential.
- git_usernamestring
The username provided with your Git provider account and associated with the credential. For most Git providers it is only used to set the Git committer & author names for commits, however it may be required for authentication depending on your Git provider / token requirements. Required for AWS CodeCommit.
- namestringPublic Preview
the name of the git credential, used for identification and ease of lookup
- is_default_for_providerbooleanPublic Preview
if the credential is the default for the given provider
- git_emailstring
The authenticating email associated with your Git provider user account. Used for authentication with the remote repository and also sets the author & committer identity for commits. Required for most Git providers except AWS CodeCommit. Learn more at https://docs.databricks.com/aws/en/repos/get-access-tokens-from-git-provider
List GA
GET
Lists the calling user's Git credentials.
API scopes: workspace
Parameters
- principal_idint64query
The ID of the service principal whose credentials will be listed. Only service principal managers can perform this action.
Response
- credentialsarray of object
List of credentials.
Show child attributesHide child attributes
- credential_idint64
ID of the credential object in the workspace.
- git_providerstring
The Git provider associated with the credential. One of
gitHub,bitbucketCloud,gitLab,azureDevOpsServices(Azure DevOps Services, including Microsoft Entra ID authentication),gitHubEnterprise,bitbucketServer(Bitbucket Data Center),gitLabEnterpriseEdition(GitLab Self-Managed), orawsCodeCommit.
- git_usernamestring
The username provided with your Git provider account and associated with the credential. For most Git providers it is only used to set the Git committer & author names for commits, however it may be required for authentication depending on your Git provider / token requirements. Required for AWS CodeCommit.
- namestringPublic Preview
the name of the git credential, used for identification and ease of lookup
- is_default_for_providerbooleanPublic Preview
if the credential is the default for the given provider
- git_emailstring
The authenticating email associated with your Git provider user account. Used for authentication with the remote repository and also sets the author & committer identity for commits. Required for most Git providers except AWS CodeCommit. Learn more at https://docs.databricks.com/aws/en/repos/get-access-tokens-from-git-provider
Create GA
POST
Creates a Git credential entry for the user. Use the PATCH endpoint to update existing credentials, or the DELETE endpoint to delete existing credentials.
API scopes: workspace
Request body
- git_providerstring
Git provider. This field is case-insensitive. The available Git providers are
gitHub,bitbucketCloud,gitLab,azureDevOpsServices(Azure DevOps Services, including Microsoft Entra ID authentication),gitHubEnterprise,bitbucketServer(Bitbucket Data Center),gitLabEnterpriseEdition(GitLab Self-Managed), andawsCodeCommit.
- git_usernamestring
The username provided with your Git provider account and associated with the credential. For most Git providers it is only used to set the Git committer & author names for commits, however it may be required for authentication depending on your Git provider / token requirements. Required for AWS CodeCommit.
- personal_access_tokenstring
The personal access token used to authenticate to the corresponding Git provider. For certain providers, support may exist for other types of scoped access tokens. Learn more.
- principal_idint64
The ID of the service principal whose credentials will be modified. Only service principal managers can perform this action.
- namestringPublic Preview
the name of the git credential, used for identification and ease of lookup
- is_default_for_providerbooleanPublic Preview
if the credential is the default for the given provider
- git_emailstring
The authenticating email associated with your Git provider user account. Used for authentication with the remote repository and also sets the author & committer identity for commits. Required for most Git providers except AWS CodeCommit. Learn more at https://docs.databricks.com/aws/en/repos/get-access-tokens-from-git-provider
Response
- credential_idint64
ID of the credential object in the workspace.
- git_providerstring
The Git provider associated with the credential.
- git_usernamestring
The username provided with your Git provider account and associated with the credential. For most Git providers it is only used to set the Git committer & author names for commits, however it may be required for authentication depending on your Git provider / token requirements. Required for AWS CodeCommit.
- namestringPublic Preview
the name of the git credential, used for identification and ease of lookup
- is_default_for_providerbooleanPublic Preview
if the credential is the default for the given provider
- git_emailstring
The authenticating email associated with your Git provider user account. Used for authentication with the remote repository and also sets the author & committer identity for commits. Required for most Git providers except AWS CodeCommit. Learn more at https://docs.databricks.com/aws/en/repos/get-access-tokens-from-git-provider
Update GA
PATCH
Updates the specified Git credential.
API scopes: workspace
Parameters
- idint64path
The ID for the corresponding credential to access.
Request body
- personal_access_tokenstring
The personal access token used to authenticate to the corresponding Git provider. For certain providers, support may exist for other types of scoped access tokens. Learn more.
- git_providerstring
Git provider. This field is case-insensitive. The available Git providers are
gitHub,bitbucketCloud,gitLab,azureDevOpsServices(Azure DevOps Services, including Microsoft Entra ID authentication),gitHubEnterprise,bitbucketServer(Bitbucket Data Center),gitLabEnterpriseEdition(GitLab Self-Managed), andawsCodeCommit.
- git_usernamestring
The username provided with your Git provider account and associated with the credential. For most Git providers it is only used to set the Git committer & author names for commits, however it may be required for authentication depending on your Git provider / token requirements. Required for AWS CodeCommit.
- principal_idint64
The ID of the service principal whose credentials will be modified. Only service principal managers can perform this action.
- namestringPublic Preview
the name of the git credential, used for identification and ease of lookup
- is_default_for_providerbooleanPublic Preview
if the credential is the default for the given provider
- git_emailstring
The authenticating email associated with your Git provider user account. Used for authentication with the remote repository and also sets the author & committer identity for commits. Required for most Git providers except AWS CodeCommit. Learn more at https://docs.databricks.com/aws/en/repos/get-access-tokens-from-git-provider
Delete GA
DELETE
Deletes the specified Git credential.
API scopes: workspace
Parameters
- idint64path
The ID for the corresponding credential to access.
- principal_idint64query
The ID of the service principal whose credentials will be modified. Only service principal managers can perform this action.